package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 仓库类型
 **/
@AllArgsConstructor
@Getter
public enum EStorehouseType {

    /**
     * 正常
     */
    normal(1, "正常", EnumsPrefixConstants.STOREHOUSE_TYPE + "1"),

    /**
     * 不良品
     */
    Defective(2, "不良品",EnumsPrefixConstants.STOREHOUSE_TYPE + "2"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据枚举值获取枚举
     *
     * @param val
     * @return
     */
    public static EStorehouseType getEnumByValue(int val) {
        for (EStorehouseType value : EStorehouseType.values()) {
            if (value.getValue() == val) {
                return value;
            }
        }
        return null;
    }

}
